Короткий адрес страницы: fornit.ru/14186
Вернуться на страницу с топиком от nan

Адреналин

Все сложнее переходить на новые версии PHP из-за более десятилетнего прогресса сайта :) Недавно словил адреналина как давно уже не испытывал.

В четверг нашел способ делать картинки типа jpg полупрозрачными на cерверной стороне (т.е. без html5 и т.п.) - с помощью функции imagelayereffect да и то очень непросто, попиксельным перебором. У меня на локальном сайте в Денвере эта функция стоит под php 5.3, а в глобальном сервере - нет ее и поддержка сразу сказала, что сможет помочь только если установим 5.4. И я ведь знал, что посыпятся проблемы, но вдруг подумалось, что смогу в разумное время все зафиксить, ну очень хотелось прозрачность потому как фотоасы солдат просили сделать водяные знаки в галереях.

В общем говорю, давайте менять версию. Германская поддержка: яволь, ждите. Минут через 15 все рухнуло, включая сайт солдат. Я принялся выхватывать лажи и исправлять. И вроде бы все заулыбалось, НО совершенно непонятно перестали работать в .htaccess

RewriteRule ^(.*).html$ pages/page_show.php?url=$1 (точнее, потом понятно стало :)

и все декорированные человекопонимаемые адреса сдохли. Мало того, вдруг как-то по-другому стали работать массивы и пропали страницы главного меню.

Стало ясно, что боги не хотят и все говорит за то, что чем глубже я копну, тем надежнее завязну и божки, наконец-то на мне весело отыграются.

Воплю поддержке чтобы спасали и вернули 5.3. Яволь, ждите. Через 15 минут как рукой сняло все наваждение и пришла задумчивость. Ведь как-то же нужно перед сменой версии сайт проверить. Сервер на компе ставить не хочется, вин10 с ее поддержкой эмуляции линукса в инете хают, точнее много там темного.

И вот, возникло чудо. Я нашел альтернативу денверу - Open Server, который может переключать все версии не только php вплоть до 7.2, но nginxс и апаче.

Мало того, он как и денвер портабельный и можно носить хоть на флешке.

Залил себе, установил. Как приятно с ним работать! Единственный спотыкач - phpMyAdmin работает только с php 5.5 так что в папку localhost качнул более раннюю версию, залил базу и скорчер нормально и открылся :)

Теперь там подниму версию, все отлажу, залью в германию на сервер и тогда опять попрошу сменить версию..


Дата публикации: 2018-03-03 17:31:46
Комментарии 0 пока еще нет комментов.
Яндекс.Метрика